diff -uNr dynamic_tabs.orig/index.htm dynamic_tabs/index.htm
--- dynamic_tabs.orig/index.htm	2005-03-28 21:58:40.000000000 +0100
+++ dynamic_tabs/index.htm	2005-12-02 14:27:29.000000000 +0000
@@ -22,17 +22,32 @@
 	<div id='tab-container'>
 		<div class="tab-content">
 				<h1 class="tab" title="title for page 1">Page 1</h1>
-				<p>This is the content of tab 1</p>
+				<p>This is the content of tab 1 on container 1</p>
 		</div>
 		<div class="tab-content">
 				<h1 class="tab" title="title for page 2">Page 2</h1>
-				<p>This is the content of tab 2</p>
+				<p>This is the content of tab 2 on container 1</p>
 		</div>
 		<div class="tab-content">
 				<h1 class="tab" title="title for page 3">Page 3</h1>
-				<p>This is the content of tab 3</p>
+				<p>This is the content of tab 3 on container 1</p>
+		</div>
+	</div>
+
+	<div id='tab-container-2'>
+		<div class="tab-content">
+				<h1 class="tab" title="title for page 1">Page 1</h1>
+				<p>This is the content of tab 1 on container 2</p>
+		</div>
+		<div class="tab-content">
+				<h1 class="tab" title="title for page 2">Page 2</h1>
+				<p>This is the content of tab 2 on container 2</p>
+		</div>
+		<div class="tab-content">
+				<h1 class="tab" title="title for page 3">Page 3</h1>
+				<p>This is the content of tab 3 on container 2</p>
 		</div>
 	</div>
 	<script type="text/javascript" src="tabs.js"></script>
 </body>
-</html>
\ No hay ningún carácter de nueva línea al final del fichero
+</html>
diff -uNr dynamic_tabs.orig/tabs.css dynamic_tabs/tabs.css
--- dynamic_tabs.orig/tabs.css	2005-03-28 21:59:14.000000000 +0100
+++ dynamic_tabs/tabs.css	2005-12-02 14:22:50.000000000 +0000
@@ -9,36 +9,35 @@
 
 .tab-content {
 	border: 1px solid #666;
-	clear: both;
 	background: white; /*#FFF3B3;*/
 	padding: 0.5em;
 }
 
 
-#tab-header {
+.tab-header {
 	position: relative;
 	width: 100%;
 	height: 3em;
-	width: 45em; /* a width is required for Opera, older Mozilla browsers, and Konqueror browsers */
+	width: 50em; /* a width is required for Opera, older Mozilla browsers, and Konqueror browsers */
 	margin-bottom: 0px;
 	padding-bottom: 0px;
 }
 
-#tab-header ul#tab-list {
+.tab-header ul.tab-list {
 	margin: 0;
 	padding: 0;
 	position: absolute;
 	bottom: -1px;
-	width: 45em; /* a width is required for Opera, older Mozilla browsers, and Konqueror browsers */
+	width: 50em; /* a width is required for Opera, older Mozilla browsers, and Konqueror browsers */
 }
 
-#tab-header ul#tab-list li  {
+.tab-header ul.tab-list li  {
 	display: inline;
 	list-style: none;
 	margin: 0;
 }
 
-#tab-header ul#tab-list a,#tab-header ul#tab-list span,#tab-header ul#tab-list a.tab-active {
+.tab-header ul.tab-list a,.tab-header ul.tab-list span,.tab-header ul.tab-list a.tab-active {
 	width: 8em;
 	display: block;
 	float: left;
@@ -51,8 +50,8 @@
 	color: #333;
 }
 
-#tab-header ul#tab-list span,#tab-header ul#tab-list a.tab-active,#tab-header ul#tab-list a.tab-active:hover {
-	border: 1px solid #666;
+.tab-header ul.tab-list span,.tab-header ul.tab-list a.tab-active,.tab-header ul.tab-list a.tab-active:hover {
+	border: 1px solid .666;
 	border-bottom: none;
 	background: white;
 	padding-bottom: 6px;
@@ -60,14 +59,14 @@
 }
 
 /* a link in a background tab */
-#tab-header ul#tab-list a {
+.tab-header ul.tab-list a {
 	background: #FFFAE1;
 	border: 1px solid #AAA;
 	border-bottom: none;
 }
 
 /* hover on a background tab */
-#tab-header ul#tab-list a:hover {
+.tab-header ul.tab-list a:hover {
 	margin-top: 0;
 	border-color: #666;
 	background: #FFF7CD;
diff -uNr dynamic_tabs.orig/tabs.js dynamic_tabs/tabs.js
--- dynamic_tabs.orig/tabs.js	2005-03-28 21:57:38.000000000 +0100
+++ dynamic_tabs/tabs.js	2005-12-02 14:23:50.000000000 +0000
@@ -44,7 +44,7 @@
 }
 
 
-function BuildTabs()
+function BuildTabs(containerName)
 {
 	var i, tabContainer, tabContents, tabHeading, title, tabElement;
 	var divElement, ulElement, liElement, tabLink, linkText;
@@ -53,7 +53,7 @@
 	// assume that if document.getElementById exists, then this will work...
 	if(! eval('document.getElementById') ) return;
 
-	tabContainer = document.getElementById('tab-container');
+	tabContainer = document.getElementById(containerName);
 	if(tabContainer == null)
 		return;
 
@@ -62,9 +62,9 @@
 		return;
 
 	divElement = document.createElement("div");
-	divElement.id = "tab-header";
+  	divElement.className = 'tab-header'
 	ulElement = document.createElement("ul");
-	ulElement.id = "tab-list";
+  	ulElement.className = 'tab-list'
 
 	tabContainer.insertBefore(divElement, tabContents[0]);
 	divElement.appendChild(ulElement);
@@ -84,7 +84,7 @@
 
 		tabLink.setAttribute("href","javascript://");
 		tabLink.setAttribute( "title", tabHeading[0].getAttribute("title"));
-		tabLink.onclick = new Function ("ActivateTab(" + i + ")");
+		tabLink.onclick = new Function ("ActivateTab('" + containerName + "', " + i + ")");
 
 
 		ulElement.appendChild(liElement);
@@ -100,11 +100,11 @@
 	}
 }
 
-function ActivateTab(activeTabIndex)
+function ActivateTab(containerName, activeTabIndex)
 {
 	var i, tabContainer, tabContents;
 
-	tabContainer = document.getElementById('tab-container');
+	tabContainer = document.getElementById(containerName);
 	if(tabContainer == null)
 		return;
 
@@ -120,7 +120,7 @@
 		tabContents[activeTabIndex].style.display = "block";
 
 
-		tabList = document.getElementById('tab-list');
+    		tabList = document.getElementById(containerName + '-list');
 		tabs = getChildElementsByClassName(tabContainer, 'tab-item');
 		if(tabs.length > 0)
 		{
@@ -134,5 +134,7 @@
 		}
 	}
 }
-BuildTabs();
-ActivateTab(0);
+BuildTabs('tab-container');
+ActivateTab('tab-container', 0);
+BuildTabs('tab-container-2');
+ActivateTab('tab-container-2', 0);
